package io.renren.modules.aspen.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 电厂大屏每日8：00抓取数据
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-03-12 10:53:43
 */
@Data
@TableName("T_DASHBOARDDAYELECEIGHT")
@KeySequence(value = "SEQ_T_DASHBOARDDAYELECEIGHT")
public class TDashboarddayeleceightEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 唯一标识ID
	 */
	@TableId(type = IdType.INPUT)
	private Integer id;
	/**
	 * 删除状态
	 */
	private Integer delFlag;
	/**
	 * 创建人
	 */
	private String createrCode;
	/**
	 * 抓取时间
	 */
	private Date createdate;
	/**
	 * 修改人
	 */
	private String updaterCode;
	/**
	 * 修改时间
	 */
	private Date updatedate;
	/**
	 * 天然气表每日消耗量 every day consume
	 */
	private String evconsume;
	/**
	 * 天然气表电厂
	 */
	private String elecp;
	/**
	 * 天然气表合成器
	 */
	private String hechengqi;
	/**
	 * 天然气表U2
	 */
	private String u2;
	/**
	 * 数据日期
	 */
	private Date dataDate;
	/**
	 * 抓取数据日
	 */
	private String dateDay;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public String getCreaterCode() {
		return createrCode;
	}

	public void setCreaterCode(String createrCode) {
		this.createrCode = createrCode;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getUpdaterCode() {
		return updaterCode;
	}

	public void setUpdaterCode(String updaterCode) {
		this.updaterCode = updaterCode;
	}

	public Date getUpdatedate() {
		return updatedate;
	}

	public void setUpdatedate(Date updatedate) {
		this.updatedate = updatedate;
	}

	public String getEvconsume() {
		return evconsume;
	}

	public void setEvconsume(String evconsume) {
		this.evconsume = evconsume;
	}

	public String getElecp() {
		return elecp;
	}

	public void setElecp(String elecp) {
		this.elecp = elecp;
	}

	public String getHechengqi() {
		return hechengqi;
	}

	public void setHechengqi(String hechengqi) {
		this.hechengqi = hechengqi;
	}

	public String getU2() {
		return u2;
	}

	public void setU2(String u2) {
		this.u2 = u2;
	}

	public Date getDataDate() {
		return dataDate;
	}

	public void setDataDate(Date dataDate) {
		this.dataDate = dataDate;
	}

	public String getDateDay() {
		return dateDay;
	}

	public void setDateDay(String dateDay) {
		this.dateDay = dateDay;
	}
}
